package com.jjt.calc.service;

import java.util.Date;
import java.util.List;
import com.jjt.calc.domain.TwinRecordStop;

/**
 * 停机数据记录Service接口
 *
 * @author wukai
 * @date 2025-01-18
 */
public interface ITwinRecordStopService {
    /**
     * 查询停机数据记录
     *
     * @param id 停机数据记录主键
     * @return 停机数据记录
     */
    public TwinRecordStop selectTwinRecordStopById(Long id);

    /**
     * 查询停机数据记录列表
     *
     * @param twinRecordStop 停机数据记录
     * @return 停机数据记录集合
     */
    public List<TwinRecordStop> selectTwinRecordStopList(TwinRecordStop twinRecordStop);

    /**
     * 新增停机数据记录
     *
     * @param twinRecordStop 停机数据记录
     * @return 结果
     */
    public int insertTwinRecordStop(TwinRecordStop twinRecordStop);

    /**
     * 修改停机数据记录
     *
     * @param twinRecordStop 停机数据记录
     * @return 结果
     */
    public int updateTwinRecordStop(TwinRecordStop twinRecordStop);

    /**
     * 批量删除停机数据记录
     *
     * @param ids 需要删除的停机数据记录主键集合
     * @return 结果
     */
    public int deleteTwinRecordStopByIds(Long[] ids);

    /**
     * 删除停机数据记录信息
     *
     * @param id 停机数据记录主键
     * @return 结果
     */
    public int deleteTwinRecordStopById(Long id);
    /**
     * 按时间删除记录
     *
     * @param date 日期
     * @param hour 小时
     */
    void deleteTwinRecordStop(Date date, int hour);
}
